UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
com.latencybusters.lbm.LBM Class Reference

LBM Utility class. More...

## Classes
struct | lbm_umm_info_t

## Public Member Functions
| LBM ()
| Instantiate LBM utility class.
void | setLogger (LBMLogging logger)
| Inform LBM to use a specific logger for logging. More...

## Static Public Member Functions
static void | setLicenseFile (String licenseFile)
| Initialize the LBM license from the contents of a disk file. More...
static void | setLicenseString (String licenseString)
| Initialize the LBM license from a string. More...
static void | setConfiguration (string fileName)
| Configure LBM attributes from a file, tftp or http URL. More...
static void | setConfigurationXml (string fileName, string applicationName)
| Configure LBM attributes from an xml file. More...
static void | setConfigurationXmlString (string xmlString, string applicationName)
| Configure LBM attributes from a string. More...
unsafe static void | setUmmInfo (LBMUMMInfo _info)
| Connect to and retrieve configuration from a UMM daemon. More...
static string | version ()
| Get LBM version information. More...
static void | setDebugFilename (String filename)
| Specify the name of the debug log to be written. More...
static void | setDebugMask (ulong mask)
| Specify the debugging mask to be applied to debugging output. This is set based on recommendation of support staff. More...
static void | setUimLossRate (int rate)
| Specify the receiver-side loss rate for UIMs. More...
static void | setLbtrmLossRate (int rate)
| Specify the receiver-side loss rate for LBTRM transports. More...
static void | setLbtrmSrcLossRate (int rate)
| Specify the source-side loss rate for LBTRM transports. More...
static void | setLbtruLossRate (int rate)
| Specify the receiver-side loss rate for LBTRU transports. More...
static void | setLbtruSrcLossRate (int rate)
| Specify the source-side loss rate for LBTRU transports. More...
static void | setDebugLogCallback (bool enable)
| Enable logging of debug messages to the application logging callback set by LBM.setLogger(). By default, if lbm debug logging is enabled it is sent to the filename specified by setDebugFilename(), or stderr. Calling setDebugLogCallback() with a value of true will redirect debug logging to the application logger set by setLogger(), or stderr if no logger is set. More...
static void | dumpDebugLog (String filename, bool append)
| Dump the in-memory LBM debug log to a specified file. More...
static int | errorNumber ()
| Returns last LBM error number. More...
static string | errorMessage ()
| Returns last LBM error message. More...

## Public Attributes
const string | LBM_SHARE = "lbm"
const int | UME_MAX_STORE_STRLEN = 24
| UME constant: Maximum length of a UME store name string.
const int | UMQ_MAX_QUEUE_STRLEN = 256
| UMQ constant: Maxiumum length of a UMQ queue instance name string.
const int | LBM_MAX_CONTEXT_NAME_LEN = 128
| UMS constant: Maximum length of a context name.
const int | UMQ_ULB_MAX_RECEIVER_STRLEN = 32
| UMQ constant: Maximum length of a ULB receiver name string.
const int | UMQ_MAX_INDEX_LEN = 216
| Maximum UMQ index length.
const int | LBM_OTID_BLOCK_SZ = 32
| Maximum OTID length.
const int | EINVAL = 1
| LBM error: An invalid argument was passed.
const int | EWOULDBLOCK = 2
| LBM error: Function would block, but object is set to be nonblocking.
const int | ENOMEM = 3
| LBM error: Operation could not be completed due to memory allocation error.
const int | EOP = 4
| LBM error: Operation was invalid due to error in internal processing.
const int | EOS = 5
| LBM error: Operation failed due to unrecoverable OS system call error.
const int | ETIMEDOUT = 6
| LBM error: Operation timed out waiting to complete.
const int | EDAEMONCONN = 7
| LBM error: LBM daemon connection not connected.
const int | EUMENOREG = 8
| LBM error: UME registration not completed.
const int | ENO_QUEUE_REG = 11
| LBM error: UMQ queue registration not completed.
const int | ENO_STORE_REG = 12
| LBM error: UME store registration not completed.
const int | EMSG_SELECTOR = 14
| LBM error: Error parsing message selector.
const int | MSG_DATA = 0
| LBM message type: Data message. Data is valid.
const int | MSG_EOS = 1
| LBM message type: End of Transport Session from source.
const int | MSG_REQUEST = 2
| LBM message type: Request message from source.
const int | MSG_RESPONSE = 3
| LBM message type: Response message from requestee.
const int | MSG_UNRECOVERABLE_LOSS = 4
| LBM message type: Missing message detected and not recovered in given time.
const int | MSG_UNRECOVERABLE_LOSS_BURST = 5
| LBM message type: Missing burst of messages detected and not recovered.
const int | MSG_NO_SOURCE_NOTIFICATION = 6
| Notification that no source has been found for topic. Still querying fro topic source.
const int | MSG_UME_REGISTRATION_ERROR = 7
| UME receiver registration encountered an error. More...
const int | MSG_UME_REGISTRATION_SUCCESS = 8
| UME receiver registration successful. More...
const int | MSG_UME_REGISTRATION_CHANGE = 9
| UME receiver notification of source registration change. More...
const int | MSG_UME_REGISTRATION_SUCCESS_EX = 10
| UME receiver registration successful for a store (extended form). More...
const int | MSG_UME_REGISTRATION_COMPLETE_EX = 11
| UME receiver notification of registration completion. More...
const int | MSG_UME_DEREGISTRATION_SUCCESS_EX = 12
| UME receiver deregistration successful for a store (extended form). More...
const int | MSG_UME_DEREGISTRATION_COMPLETE_EX = 13
| UME receiver notification of deregistration completion. More...
const int | MSG_UMQ_REGISTRATION_ERROR = 16
| UMQ receiver notification of registration error. The error message is contained in the message data. More...
const int | MSG_UMQ_REGISTRATION_COMPLETE_EX = 18
| UMQ receiver notification of registration completion. Registration completion info can be retrieved through the queueRegistrationCompleteInfo() method. More...
const int | MSG_UMQ_DEREGISTRATION_COMPLETE_EX = 19
| UMQ receiver notification of deregistration completion. Deregistration completion info can be retrieved through the queueDeregistrationCompleteInfo() method. More...
const int | MSG_BOS = 20
| LBM message type: Beginning of Transport Session from source.
const int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_ERROR = 21
| LBM message type: UMQ receiver index assignment eligibility start/stop encountered an error. More...
const int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX = 22
| UMQ receiver notification of beginning of index assignment eligibility. Index assignment eligibility start completion info (in the form of a UMQIndexAssignmentEligibilityStartCompleteInfo object) can be retrieved with the LBMMessage.indexAssignmentEligibilityStartCompleteInfo() method. More...
const int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX = 23
| UMQ receiver notification of end of index assignment eligibility. Index assignment eligibility stop completion info (in the form of a UMQIndexAssignmentEligibilityStopCompleteInfo object) can be retrieved with the LBMMessage.indexAssignmentEligibilityStopCompleteInfo() method. More...
const int | MSG_UMQ_INDEX_ASSIGNED_EX = 24
| UMQ receiver notification of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexAssignedInfo object) can be retrieved with the LBMMessage.indexAssignedInfo() method. More...
const int | MSG_UMQ_INDEX_RELEASED_EX = 25
| UMQ receiver notification of end of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexReleasedInfo object) can be retrieved with the LBMMessage.indexReleasedInfo() method. More...
const int | MSG_HF_RESET = 27
| LBM message type: Hot failover notification that the expected sequence number has been reset via a source send reset.
const int | MSG_RESERVED_1 = 28
| LBM message type: Reserved for internal use.
const int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
| Registration was flagged as an old receiver by the store. More...
const int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_NOCACHE = 0x2
| Registration was flagged as coming from a store that is configured to not cache data.
const int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
| Registration was flagged as coming from a store that has allowed a RPP receiver.
const int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_SRC_SID = 0x8
| The source session id field in the registration success info has been set.
const int | UME_RCV_RECOVERY_INFO_EX_FLAG_SRC_SID = 0x1
| The source session id field in the ume recovery sequence number object has been set.
const int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| Registration completed with only quorum reached.
const int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_RXREQMAX = 0x2
| Registration completed with RX REQ maximum used.
const int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_SRC_SID = 0x4
| The source session id field of the UME registration complete info object is valid.
const int | MSG_UME_DEREGISTRATION_SUCCESS_EX_FLAG_RPP = 0x1
| Deregistration was flagged as coming from a RPP store.
const int | MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| Flag indicating that registration completed with only quorum reached. More...
const int | MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_ULB = 0x2
| Flag indicating that registration completed to a ULB source. More...
const int | MSG_UMQ_DEREGISTRATION_COMPLETE_EX_FLAG_ULB = 0x1
| Flag indicating that deregistration completed to a ULB source. More...
const int | MSG_UMQ_INDEX_ASSIGNED_FLAG_ULB = 0x1
| Index assignment was from a ULB source. More...
const int | MSG_UMQ_INDEX_RELEASED_FLAG_ULB = 0x1
| Index released from a ULB source. More...
const int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX_FLAG_ULB = 0x1
| Index assignment eligibility stop completed at a ULB source. More...
const int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX_FLAG_ULB = 0x1
| Index assignment eligibility start completed at a ULB source. More...
const int | MSG_START_BATCH = 0x1
| Sending/receiving flag: Start batch.
const int | MSG_END_BATCH = 0x2
| Sending/receiving flag: End batch (Batch should be sent ASAP)
const int | MSG_COMPLETE_BATCH = 0x3
| Sending/receiving flag: Message is complete batch (Batch should be sent ASAP)
const int | MSG_FLUSH = 0x4
| Sending flag: Flush messages. Message is to be sent ASAP (not implicitly or explicitly batched). This also flushes waiting messages that were explicitly or implicitly batched.
const int | SRC_NONBLOCK = 0x8
| If message could not be sent immediately, throw an LBMEWouldBlockException. More...
const int | SRC_BLOCK = 0x20
| Block the caller indefinitely until the message is sent.
const int | MSG_FLAG_START_BATCH = 0x1
| Receiving flag: Start batch.
const int | MSG_FLAG_END_BATCH = 0x2
| Receiving flag: End batch.
const int | MSG_FLAG_HF_PASS_THROUGH = 0x4
| Receiving flag: Non-HF message.
const int | MSG_FLAG_UME_RETRANSMIT = 0x8
| Receiving flag: Retransmitted message.
const int | MSG_FLAG_RETRANSMIT = 0x8
| Receiving flag: Retransmitted message.
const int | MSG_FLAG_IMMEDIATE = 0x10
| Receiving flag: Message is an immediate message.
const int | MSG_FLAG_HF_DUPLICATE = 0x20
| Receiving flag: Message is a hot failover duplicate message.
const int | MSG_FLAG_UMQ_REASSIGNED = 0x40
| Receiving flag: Reassigned UMQ message.
const int | MSG_FLAG_UMQ_RESUBMITTED = 0x80
| Receiving flag: Resubmitted UMQ message.
const int | MSG_FLAG_HF_OPTIONAL = 0x400
| Receiving flag: Hot Failover optional message.
const int | MSG_FLAG_HF_32 = 0x800
| Receiving flag: The message contains a 32 bit hot failover sequence number.
const int | MSG_FLAG_HF_64 = 0x1000
| Receiving flag: The message contains a 64 bit hot failover sequence number.
const int | MSG_FLAG_OTR = 0x2000
| Receiving flag: The message was recovered via OTR.
const int | MSG_FLAG_NUMBERED_CHANNEL = 0x1
| Channel flag: Numberered channel message.
const int | SRC_EVENT_CONNECT = 1
| Source event: For unicast transport, means receiver has connected.
const int | SRC_EVENT_DISCONNECT = 2
| Source event: For unicast transport, means receiver has disconnected.
const int | SRC_EVENT_WAKEUP = 3
| Source event: Following earlier LBMEWouldBlockException, this event means that the source is ready for more sends. More...
const int | SRC_EVENT_WAKEUP_FLAG_NORMAL = 0x1
| Source wakeup event flag: Unblocked source is a normal (or hot failover) source. More...
const int | SRC_EVENT_WAKEUP_FLAG_MIM = 0x2
| Source wakeup event flag: Unblocked source is a context-level multicast immediate mode source. More...
const int | SRC_EVENT_WAKEUP_FLAG_UIM = 0x4
| Source wakeup event flag: Unblocked source is a context-level unicast immediate mode source. More...
const int | SRC_EVENT_WAKEUP_FLAG_REQUEST = 0x8
| Source wakeup event flag: Unblocked source is a context-level request source. More...
const int | SRC_EVENT_WAKEUP_FLAG_RESPONSE = 0x10
| Source wakeup event flag: Unblocked source is a context-level response source. More...
const int | SRC_EVENT_DAEMON_CONFIRM = 4
| Source event: For LBM daemon usage only. Daemon has confirmed the source has been created.
const int | SRC_EVENT_UME_REGISTRATION_ERROR = 5
| Source event: (UME only) Registration of source failed with an error. More...
const int | SRC_EVENT_UME_REGISTRATION_SUCCESS = 6
| Source event: (UME only) Registration of source successful. More...
const int | SRC_EVENT_UME_MESSAGE_STABLE = 7
| Source event: (UME only) UME ACK from store indicates message is stable. More...
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION = 8
| Source event: (UME only) UME Confirmed Delivery of Message from receiver. More...
const int | SRC_EVENT_UME_STORE_UNRESPONSIVE = 9
| Source event: (UME only) Store has not been active within timeout. More...
const int | SRC_EVENT_UME_MESSAGE_RECLAIMED = 10
| Source event: (UME only) Indicates that a message has been reclaimed. More...
const int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX = 11
| Source event: (UME only) Registration of source successful (extended version). More...
const int | SRC_EVENT_UME_REGISTRATION_COMPLETE_EX = 12
| Source event: (UME only) Registration of source complete. More...
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX = 13
| Source event: For UME only, means UME ACK from store indicates message is stable (extended form). More...
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX = 14
| Source event: For UME only, means UME Confirmed Delivery of Message from receiver (extended form). More...
const int | SRC_EVENT_SEQUENCE_NUMBER_INFO = 15
| Source event: Informs the application of the sequence numbers used with a message. More...
const int | SRC_EVENT_UMQ_REGISTRATION_ERROR = 16
| Source Event: For UMQ only, means registration of source failed with an error. The error message is contained in the event dataString. More...
const int | SRC_EVENT_UMQ_MESSAGE_ID_INFO = 17
| Source Event: For UMQ only, informs the application of the Message ID assigned with a message.. The messageIdInfo() method will return an info object containing additional information. More...
const int | SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 18
| Source Event: For UMQ only, means registration of source complete. The queueRegistrationCompleteInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX = 19
| Source Event: For UMQ only, means a message is stable with a queue instance. The queueAckInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_MESSAGE_ASSIGNED_EX = 20
| Source Event: For UMQ only, means a ULB message was assigned. The ulbMessageInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX = 21
| Source Event: For UMQ only, means a ULB message was reassigned. The ulbMessageInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX = 22
| Source Event: For UMQ only, means a ULB message reached end-of-life and was discarded. The ulbMessageInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_MESSAGE_COMPLETE_EX = 23
| Source Event: For UMQ only, means a ULB message was consumed or discarded from all application sets. The ulbMessageInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_MESSAGE_CONSUMED_EX = 24
| Source Event: For UMQ only, means a ULB message was consumed. The ulbMessageInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_RECEIVER_REGISTRATION_EX = 25
| Source Event: For UMQ only, means a ULB receiver registered. The ulbReceiverInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_RECEIVER_DEREGISTRATION_EX = 26
| Source Event: For UMQ only, means a ULB receiver deregistered. The ulbReceiverInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_RECEIVER_READY_EX = 27
| Source Event: For UMQ only, means a ULB receiver signalled ready to receive. The ulbReceiverInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_UMQ_ULB_RECEIVER_TIMEOUT_EX = 28
| Source Event: For UMQ only, means a ULB receiver reached end-of-life. The ulbReceiverInfo() method will return an info object containing additional information.. More...
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION = 29
| Source Event: flight size notification. The flightSizeNotification() method will return an info object containing additional information. More...
const int | SRC_EVENT_UME_MESSAGE_RECLAIMED_EX = 30
| Source event: Indicates that a message has been reclaimed (extended form). More...
const int | SRC_EVENT_UME_DEREGISTRATION_SUCCESS_EX = 31
| Source event: (UME only) Deregistration of source successful (extended version). More...
const int | SRC_EVENT_UME_DEREGISTRATION_COMPLETE_EX = 32
| Source event: (UME only) Deregistration of source complete. More...
const int | SRC_EVENT_UME_MESSAGE_NOT_STABLE = 33
| Source event: For UMP only, means a message is NOT stable, and the source has given up waiting for stability. More...
const int | SRC_EVENT_TIMESTAMP = 34
const int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
| Registration was flagged as an old source by the store. More...
const int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_NOACKS = 0x2
| Registration was flagged as coming from a store that is configured to not send ACKs for stability (no-cache store).
const int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
| Registration was flagged as coming from a store that allows and has accepted RPP persistent topics.
const int | SRC_EVENT_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| Registration completed with only quorum reached.
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
| Message stable for intragroup stability. More...
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
| Message stable for intergroup stability. More...
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
| Message is stable according to behavior desired.
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STORE = 0x8
| Message stable information has active store information.
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_WHOLE_MESSAGE_STABLE = 0x10
| Whole message (each fragment) is stable.
const int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_USER = 0x20
| Message stabilized via the setUMEMessageStable API.
const int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_STORE = 0x8
| Message not stable information has store information. More...
const int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_LOSS = 0x40
| Message not stable due to explicitly reported unrecoverable loss at the store or receiver. More...
const int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_TIMEOUT = 0x80
| Message not stable due to stability lifetime timeout. More...
const int | SRC_EVENT_UME_MESSAGE_RECLAIMED_EX_FLAG_FORCED = 0x1
| Reclaim notification is the result of a forced reclaim.
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UNIQUEACKS = 0x1
| Confirmation received for specified number of unique ACKs.
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UREGID = 0x2
| Confirmation received with User Specified Rcv Registration ID flagged.
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_OOD = 0x4
| Confirmation received with Out-of-Order Delivery (OOD) flagged.
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_EXACK = 0x8
| Confirmation received with Explicit ACK (EXACK) flagged.
const int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_WHOLE_MESSAGE_CONFIRMED = 0x10
| Confirmation received for the message (each fragment) flagged.
const int | SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| Registration completed with only quorum reached.
const int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
| Message stable for intragroup stability.
const int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
| Message stable for intergroup stability.
const int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
| Message is stable according to behavior desired.
const int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_USER = 0x8
| Message stabilized via the setUMQMessageStable API.
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UME = 0x1
| Specifies a UME flight size.
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_ULB = 0x2
| Specifies a ULB flight size.
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UMQ = 0x3
| Specifies a UMQ flight size.
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_OVER = 0x1
| Messages in flight has exceeded the threshold.
const int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_UNDER = 0x2
| Messages in flight is now below the threshold.
const int | FLIGHT_SIZE_TYPE_UME = 0x1
| Specify a UME flight size.
const int | FLIGHT_SIZE_TYPE_ULB = 0x2
| Specify a ULB flight size.
const int | FLIGHT_SIZE_TYPE_UMQ = 0x3
| Specify a UMQ flight size.
const int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_TOTAL_LIFETIME_EXPIRED = 0x1
| Timeout is the result of the total lifetime expiring.
const int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_EXPLICIT = 0x2
| Timeout is the result of the reassign API being called by a receiver.
const int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_DISCARD = 0x4
| Timeout is the result of the reassign API being called with the DISCARD flag set.
const int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_MAX_REASSIGNS = 0x8
| Timeout is the result of hitting the umq_ulb_application_set_message_max_reassignments number of assignments.
const int | CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 0x1
| Context Event: Indicates context registration is complete. More...
const int | CONTEXT_EVENT_UMQ_REGISTRATION_SUCCESS_EX = 0x2
| Context Event: Indicates context registration with a single queue instance was successful. More...
const int | CONTEXT_EVENT_UMQ_REGISTRATION_ERROR = 0x3
| Context Event: Indicates context registration failed with an error. The dataString() method will return a message describing the error. More...
const int | CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| Registration completed with only quorum reached.
const int | CONTEXT_EVENT_UMQ_INSTANCE_LIST_NOTIFICATION = 0x4
| Indicates that the queue instance list has changed.
const int | SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO = 0x2
| Inform application of the sequence numbers used for message.
const int | SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY = 0x4
| Inform application of the sequence numbers used for message (fragmented messages only).
const int | SRC_SEND_EX_FLAG_UMQ_MESSAGE_ID_INFO = 0x10
| Inform application of the UMQ Message ID used for the message.
const int | SRC_SEND_EX_FLAG_CHANNEL = 0x20
| Send message with included channel information.
const int | SRC_SEND_EX_FLAG_UMQ_INDEX = 0x40
| Send messages associating them with the supplied UMQ index.
const int | SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME =0x80
| Send message with supplied total lifetime.
const int | SRC_SEND_EX_FLAG_HF_OPTIONAL = 0x100
| Send message marked as an optional message for Hot Failover. More...
const int | SRC_SEND_EX_FLAG_PROPERTIES = 0x200
| Send message with associated properties. More...
const int | SRC_SEND_EX_FLAG_HF_32 = 0x400
| Send message with a 64 bit hot failover sequence number.
const int | SRC_SEND_EX_FLAG_HF_64 = 0x800
| Send message with a 32 bit hot failover sequence number.
const int | MSG_PROPERTY_BOOLEAN = 0x1
| Message property type: boolean.
const int | MSG_PROPERTY_BYTE = 0x2
| Message property type: byte.
const int | MSG_PROPERTY_SHORT = 0x3
| Message property type: short (2 bytes)
const int | MSG_PROPERTY_INT = 0x4
| Message property type: int (4 bytes)
const int | MSG_PROPERTY_LONG = 0x5
| Message property type: long (8 bytes)
const int | MSG_PROPERTY_FLOAT = 0x6
| Message property type: float (4 bytes)
const int | MSG_PROPERTY_DOUBLE = 0x7
| Message property type: double (8 bytes)
const int | MSG_PROPERTY_STRING = 0x8
| Message property type: string.
const int | UMQ_INDEX_FLAG_NUMERIC = 0x1
| UMQIndexInfo flag. Index is a 64-bit integer. More...
const int | SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_RR = 0x0
| Round Robin store behaviour. More...
const int | SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_QC = 0x1
| Quorum and Consensus store behaviour. More...
const int | SRC_TOPIC_ATTR_UMQ_ULB_EVENT_MSG_COMPLETE = 0x10
| ULB message complete source event. More...
const int | MSG_UMQ_REASSIGN_FLAG_DISCARD = 0x1
| Instead of requesting reassignment, request the message be discarded.
const int | CTX_ATTR_OP_EMBEDDED = 1
| Context operational mode: Embedded.
const int | CTX_ATTR_OP_DAEMON = 2
| Context operational mode: Daemon.
const int | CTX_ATTR_OP_SEQUENTIAL = 3
| Context operational mode: Sequential.
const int | MSG_MAX_SOURCE_LEN = 128
| Maximum source name length.
const int | MSG_MAX_TOPIC_LEN = 256
| Maximum topic name length.
const long | EVENT_QUEUE_BLOCK = 0xFFFFFFFF
| Infinite blocking time for running event queue.
const long | EVENT_QUEUE_POLL = 0x0
| Poll and dispatch a single event when running the event queue.
const int | EVENT_QUEUE_SIZE_WARNING = 0x1
| Event queue monitor event type: Warning of event queue size.
const int | EVENT_QUEUE_DELAY_WARNING = 0x2
| Event queue monitor event type: Warning of excessive delay for event.
const int | EVENT_QUEUE_ENQUEUE_NOTIFICATION = 0x3
| Event queue monitor event type: Notification of something being added to queue.
const int | LOG_EMERG = 1
| Logging level: Emergency.
const int | LOG_ALERT = 2
| Logging level: Alert.
const int | LOG_CRIT = 3
| Logging level: Critical.
const int | LOG_ERR = 4
| Logging level: Error.
const int | LOG_WARNING = 5
| Logging level: Warning.
const int | LOG_NOTICE = 6
| Logging level: Notice.
const int | LOG_INFO = 7
| Logging level: Informational.
const int | LOG_DEBUG = 8
| Logging level: Debug.
const int | TRANSPORT_STAT_TCP = 0x00
| Transport statistics type: TCP transport.
const int | TRANSPORT_STAT_LBTRM = 0x10
| Transport statistics type: LBT-RM transport.
const int | TRANSPORT_STAT_LBTRU = 0x01
| Transport statistics type: LBT-RU transport.
const int | TRANSPORT_STAT_LBTIPC = 0x40
| Transport statistics type: LBT-IPC transport.
const int | TRANSPORT_STAT_LBTSMX = 0x4
| Transport statistics type: LBT-SMX transport.
const int | TRANSPORT_STAT_LBTRDMA = 0x20
| Transport statistics type: LBT-RDMA transport.
const int | TRANSPORT_STAT_BROKER = 0x80
| Transport statistics type: LBT-BROKER transport.
const int | TRANSPORT_STAT_DAEMON = 0xFF
| Transport statistics type: Daemon is being used.
const int | WILDCARD_RCV_PATTERN_TYPE_PCRE = 1
| Wildcard receiver pattern type: PCRE (Perl Compatible Regular Expressions)
const int | WILDCARD_RCV_PATTERN_TYPE_REGEX = 2
| Wildcard receiver pattern type: POSIX regex.
const int | WILDCARD_RCV_PATTERN_TYPE_APP_CB = 3
| Wildcard receiver pattern type: callback.
const int | TOPIC_RES_REQUEST_ADVERTISEMENT = 4
| Request advertisements from quiescent sources.
const int | TOPIC_RES_REQUEST_QUERY = 2
| Request advertisements from quiescent receivers.
const int | TOPIC_RES_REQUEST_WILDCARD_QUERY = 1
| Request advertisements from quiescent wildcard receivers.
const int | TOPIC_RES_REQUEST_CONTEXT_ADVERTISEMENT = 16
| Request context advertisements from quiescent contexts.
const int | TOPIC_RES_REQUEST_CONTEXT_QUERY = 32
| Request context queries from quiescent contexts.
const uint | LBM_SRC_COST_FUNCTION_REJECT = 0xffffffff
| Source cost function return value to indicate this source should be permanently rejected.
const uint | LBM_UMM_INFO_FLAGS_USE_SSL = 0x1
| LBMUMMInfo flag to use SSL for all ummd connections.
const int | LBM_UMM_NUM_SERVERS_MAX = 16
| Max allowed number of failover UMM daemons.
const int | LBM_UMM_USER_NAME_LENGTH_MAX = 100
| Max UMM user name length.
const int | LBM_UMM_PASSWORD_LENGTH_MAX = 100
| Max UMM password length.
const int | LBM_UMM_APP_NAME_LENGTH_MAX = 100
| Max UMM application name length.
const int | LBM_UMM_SERVER_LENGTH_MAX = 32
| Max ip:port server string length.
const int | LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_TMO = 1
| UME Receiver Liveness Deletion TIMEOUT.
const int | LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_EOF = 2
| UME Receiver Liveness Deletion EOF.
const int | LBM_TEXTMESSAGE = 0
| Possible JMS Message Types. More...
const int | LBM_BYTEMESSAGE = 1
| int
const int | LBM_MAPMESSAGE = 2
| int
const int | LBM_MESSAGE = 3
| int
const int | LBM_OBJECTMESSAGE = 4
| int
const int | LBM_STREAMMESSAGE = 5
| int
const String | LBM_JMSDeliveryMode = "JMSDeliveryMode"
| int, NON_PERSISTENT = 1, PERSISTENT = 2
const String | LBM_JMSExpiration = "JMSExpiration"
| long, Number of milliseconds since 1970.
const String | LBM_JMSPriority = "JMSPriority"
| int
const String | LBM_JMSMessageID = "JMSMessageID"
| String.
const String | LBM_JMSTimestamp = "JMSTimestamp"
| long, Number of milliseconds since 1970.
const String | LBM_JMSCorrelationID = "JMSCorrelationID"
| String.
const String | LBM_JMSType = "JMSType"
| String, topic, queue or destination.
const String | LBM_JMSRedelivered = "JMSRedelivered"
| boolean
const String | LBM_LBMMessageType = "LBMMessageType"
| int, LBM_TEXTMESSAGE, LBM_BYTEMESSAGE, LBM_MAPMESSAGE, LBM_MESSAGE, LBM_OBJECTMESSAGE, LBM_STREAMMESSAGE
const String | LBM_JMSTopicType = "JMSTopicType"
| String, topic, queue or destination.
const String | LBM_JMSReplyToName = "JMSReplyToName"
| String.
const String | LBM_JMSReplyToWildcard = "JMSReplyToWildcard"
| boolean
const String | LBM_JMSReplyToType = "JMSReplyToType"
| String, topic, queue or destination.
const int | LBM_RESOLVER_EVENT_ADVERTISEMENT_TYPE = 0x01
| int
const uint | LBM_RESOLVER_EVENT_ADVERTISEMENT_FLAGS_LJ = 0x1
| uint
const uint | LBM_RESOLVER_EVENT_ADVERTISEMENT_FLAGS_UME = 0x2
| uint
const uint | LBM_RESOLVER_EVENTADVERTISEMENT_FLAGS_UMQ = 0x4
| uint
const uint | LBM_RESOLVER_EVENT_ADVERTISEMENT_FLAGS_ULB = 0x8
| uint
const uint | LBM_RESOLVER_EVENT_ADVERTISEMENT_FLAGS_EVC = 0x10
| uint
const uint | LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UME = 0x0001
| uint
const uint | LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UMQ = 0x0002
| uint
const uint | LBM_RESOLVER_EVENT_INFO_INFO_DOMAIN_ID_PRESENT_FLAG = 0x0001
| uint
const uint | LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_PRESENT_FLAG = 0x0002
| uint
const uint | LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_TYPE_PRESENT_FLAG = 0x0004
| uint
const uint | LBM_RESOLVER_EVENT_INFO_INFO_VERSION_PRESENT_FLAG = 0x0008
| uint
const byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_APPLICATION = 0
| byte
const byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_TNWGD = 1
| byte
const byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_STORE = 2
| byte

## Static Public Attributes
static int | PROC_EVENT_EX_FLAG_USER_TIME = 0x0001
| User supplies a valid time of day.
static int | PROC_EVENT_EX_FLAG_NO_MAIN_LOOP_MUTEX = 0x0002
| User does not wish LBM to take locks in the main processing loop; specifically the context lock and timer lock.

## Detailed Description

LBM Utility class.

## Member Function Documentation

static void com.latencybusters.lbm.LBM.dumpDebugLog | ( | String | filename,
|  | bool | append
| ) |  |
| static

Dump the in-memory LBM debug log to a specified file.

Parameters

  filename | Name of the file to dump debug log events to.
  append | Set to true to append the debug log to the file; otherwise, the file is overwritten.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static string com.latencybusters.lbm.LBM.errorMessage | ( |  | ) |
| static

Returns last LBM error message.

Returns
  LBM error message

Referenced by com.latencybusters.lbm.LBMSource.buffsComplete(), com.latencybusters.lbm.LBMSource.buffsCompleteAndAcquire(), com.latencybusters.lbm.LBMTimer.cancel(), com.latencybusters.lbm.LBMRequest.close(), com.latencybusters.lbm.LBMReceiver.deregister(), com.latencybusters.lbm.LBMWildcardReceiver.deregister(), com.latencybusters.lbm.UMEMessageAck.Dispose(), com.latencybusters.lbm.LBMXSPAttributes.dispose(), com.latencybusters.lbm.LBMEventQueueAttributes.dispose(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dispose(), com.latencybusters.lbm.LBMSourceAttributes.dispose(), com.latencybusters.lbm.LBMHFXAttributes.dispose(), com.latencybusters.lbm.LBMContextAttributes.dispose(), com.latencybusters.lbm.LBMRequest.Dispose(), com.latencybusters.lbm.LBMEventQueue.Dispose(), com.latencybusters.lbm.LBMReceiverAttributes.dispose(), com.latencybusters.lbm.LBMReceiver.Dispose(), com.latencybusters.lbm.LBMWildcardReceiver.Dispose(), com.latencybusters.lbm.LBMSource.Dispose(), com.latencybusters.lbm.LBMContext.Dispose(), com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMHFX.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueue.dumpAttributeList(), com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSource.dumpAttributeList(), com.latencybusters.lbm.LBMContext.dumpAttributeList(), com.latencybusters.lbm.LBMContext.enableImmediateMessageReceiver(), com.latencybusters.lbm.LBMReceiverAttributes.enableSingleReceiverCallback(), com.latencybusters.lbm.LBMMessage.extractUMEAck(), com.latencybusters.lbm.LBMSource.flush(), com.latencybusters.lbm.LBMEventQueue.getAttributeValue(), com.latencybusters.lbm.LBMHFX.getAttributeValue(), com.latencybusters.lbm.LBMWildcardReceiver.getAttributeValue(), com.latencybusters.lbm.LBMReceiver.getAttributeValue(), com.latencybusters.lbm.LBMSource.getAttributeValue(), com.latencybusters.lbm.LBMContext.getAttributeValue(), com.latencybusters.lbm.LBMSourceAttributes.getStoreGroups(), com.latencybusters.lbm.LBMSourceAttributes.getStores(), com.latencybusters.lbm.LBMXSPAttributes.getValue(), com.latencybusters.lbm.LBMEventQueueAttributes.getValue(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.getValue(), com.latencybusters.lbm.LBMSourceAttributes.getValue(), com.latencybusters.lbm.LBMHFXAttributes.getValue(), com.latencybusters.lbm.LBMContextAttributes.getValue(), com.latencybusters.lbm.LBMReceiverAttributes.getValue(), com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMReceiver.indexStartAssignment(), com.latencybusters.lbm.LBMWildcardReceiver.indexStartAssignment(), com.latencybusters.lbm.LBMReceiver.indexStopAssignment(), com.latencybusters.lbm.LBMWildcardReceiver.indexStopAssignment(), com.latencybusters.lbm.LBMContext.LBMContext(), com.latencybusters.lbm.LBMContextAttributes.LBMContextAttributes(), com.latencybusters.lbm.LBMEventQueue.LBMEventQueue(), com.latencybusters.lbm.LBMEventQueueAttributes.LBMEventQueueAttributes(), com.latencybusters.lbm.LBMHFX.LBMHFX(), com.latencybusters.lbm.LBMHFXAttributes.LBMHFXAttributes(), com.latencybusters.lbm.LBMHotFailoverReceiver.LBMHotFailoverReceiver(), com.latencybusters.lbm.LBMHotFailoverSource.LBMHotFailoverSource(), com.latencybusters.lbm.LBMMessage.LBMMessage(), com.latencybusters.lbm.LBMReceiver.LBMReceiver(), com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes(), com.latencybusters.lbm.LBMSource.LBMSource(), com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes(), com.latencybusters.lbm.LBMTimer.LBMTimer(), com.latencybusters.lbm.LBMTopic.LBMTopic(), com.latencybusters.lbm.LBMWildcardReceiver.LBMWildcardReceiver(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes(), com.latencybusters.lbm.LBMXSP.LBMXSP(), com.latencybusters.lbm.LBMXSPAttributes.LBMXSPAttributes(), com.latencybusters.lbm.UMEMessageAck.markNotOutstanding(), com.latencybusters.lbm.LBMContext.processEvents(), com.latencybusters.lbm.LBMMessage.reassign(), com.latencybusters.lbm.LBMContextStatistics.refresh(), com.latencybusters.lbm.LBMEventQueueStatistics.refresh(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.refresh(), com.latencybusters.lbm.LBMSourceStatistics.refresh(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.refresh(), com.latencybusters.lbm.LBMReceiverStatistics.refresh(), com.latencybusters.lbm.LBMContext.requestTopicResolution(), com.latencybusters.lbm.LBMTimer.reschedule(), com.latencybusters.lbm.LBMContext.resetImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMContext.resetImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMContext.resetReceiverStatistics(), com.latencybusters.lbm.LBMContext.resetSourceStatistics(), com.latencybusters.lbm.LBMEventQueue.resetStatistics(), com.latencybusters.lbm.LBMReceiver.resetStatistics(), com.latencybusters.lbm.LBMSource.resetStatistics(), com.latencybusters.lbm.LBMContext.resetStatistics(), com.latencybusters.lbm.LBMMessage.respond(), com.latencybusters.lbm.LBMHotFailoverSource.send(), com.latencybusters.lbm.LBMSource.send(), com.latencybusters.lbm.LBMContext.send(), com.latencybusters.lbm.LBMContext.sendc(), com.latencybusters.lbm.UMEMessageAck.sendExplicitAck(), com.latencybusters.lbm.LBMMessage.sendExplicitAck(), com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset(), com.latencybusters.lbm.LBMEventQueue.setAttributeValue(), com.latencybusters.lbm.LBMHFX.setAttributeValue(), com.latencybusters.lbm.LBMWildcardReceiver.setAttributeValue(), com.latencybusters.lbm.LBMReceiver.setAttributeValue(), com.latencybusters.lbm.LBMSource.setAttributeValue(), com.latencybusters.lbm.LBMContext.setAttributeValue(), com.latencybusters.lbm.LBMEventQueueAttributes.setFromXml(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.setFromXml(), com.latencybusters.lbm.LBMSourceAttributes.setFromXml(), com.latencybusters.lbm.LBMHFXAttributes.setFromXml(), com.latencybusters.lbm.LBMContextAttributes.setFromXml(), com.latencybusters.lbm.LBMReceiverAttributes.setFromXml(), com.latencybusters.lbm.LBMSource.setInflight(), com.latencybusters.lbm.LBMSourceAttributes.setMessageReclamationCallback(), com.latencybusters.lbm.LBMContextAttributes.setObjectRecycler(), com.latencybusters.lbm.LBMSource.setUMEMessageStable(), com.latencybusters.lbm.LBMContextAttributes.setUMEReceiverLivenessNotificationCallbacks(), com.latencybusters.lbm.LBMContext.setUMQInflight(), com.latencybusters.lbm.LBMContext.setUMQMessageStable(), com.latencybusters.lbm.LBMXSPAttributes.setValue(), com.latencybusters.lbm.LBMEventQueueAttributes.setValue(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.setValue(), com.latencybusters.lbm.LBMSourceAttributes.setValue(), com.latencybusters.lbm.LBMHFXAttributes.setValue(), com.latencybusters.lbm.LBMContextAttributes.setValue(), com.latencybusters.lbm.LBMReceiverAttributes.setValue(), com.latencybusters.lbm.LBMEventQueue.shutdown(), com.latencybusters.lbm.LBMEventQueue.size(), com.latencybusters.lbm.LBMReceiver.subscribeChannel(), com.latencybusters.lbm.LBMWildcardReceiver.subscribeChannel(), com.latencybusters.lbm.LBMSource.umederegister(), com.latencybusters.lbm.LBMReceiver.umederegister(), com.latencybusters.lbm.LBMXSP.unblockProcessEvents(), com.latencybusters.lbm.LBMContext.unblockProcessEvents(), com.latencybusters.lbm.LBMReceiver.unsubscribeChannel(), and com.latencybusters.lbm.LBMWildcardReceiver.unsubscribeChannel().

static int com.latencybusters.lbm.LBM.errorNumber | ( |  | ) |
| static

Returns last LBM error number.

Returns
  LBM error number

Referenced by com.latencybusters.lbm.LBMSource.buffsComplete(), com.latencybusters.lbm.LBMSource.buffsCompleteAndAcquire(), com.latencybusters.lbm.LBMTimer.cancel(), com.latencybusters.lbm.LBMRequest.close(), com.latencybusters.lbm.LBMReceiver.deregister(), com.latencybusters.lbm.LBMWildcardReceiver.deregister(), com.latencybusters.lbm.UMEMessageAck.Dispose(), com.latencybusters.lbm.LBMXSPAttributes.dispose(), com.latencybusters.lbm.LBMEventQueueAttributes.dispose(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dispose(), com.latencybusters.lbm.LBMSourceAttributes.dispose(), com.latencybusters.lbm.LBMHFXAttributes.dispose(), com.latencybusters.lbm.LBMContextAttributes.dispose(), com.latencybusters.lbm.LBMRequest.Dispose(), com.latencybusters.lbm.LBMEventQueue.Dispose(), com.latencybusters.lbm.LBMReceiverAttributes.dispose(), com.latencybusters.lbm.LBMReceiver.Dispose(), com.latencybusters.lbm.LBMWildcardReceiver.Dispose(), com.latencybusters.lbm.LBMSource.Dispose(), com.latencybusters.lbm.LBMContext.Dispose(), com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMHFX.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueue.dumpAttributeList(), com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSource.dumpAttributeList(), com.latencybusters.lbm.LBMContext.dumpAttributeList(), com.latencybusters.lbm.LBMContext.enableImmediateMessageReceiver(), com.latencybusters.lbm.LBMReceiverAttributes.enableSingleReceiverCallback(), com.latencybusters.lbm.LBMMessage.extractUMEAck(), com.latencybusters.lbm.LBMSource.flush(), com.latencybusters.lbm.LBMEventQueue.getAttributeValue(), com.latencybusters.lbm.LBMHFX.getAttributeValue(), com.latencybusters.lbm.LBMWildcardReceiver.getAttributeValue(), com.latencybusters.lbm.LBMReceiver.getAttributeValue(), com.latencybusters.lbm.LBMSource.getAttributeValue(), com.latencybusters.lbm.LBMContext.getAttributeValue(), com.latencybusters.lbm.LBMSourceAttributes.getStoreGroups(), com.latencybusters.lbm.LBMSourceAttributes.getStores(), com.latencybusters.lbm.LBMXSPAttributes.getValue(), com.latencybusters.lbm.LBMEventQueueAttributes.getValue(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.getValue(), com.latencybusters.lbm.LBMSourceAttributes.getValue(), com.latencybusters.lbm.LBMHFXAttributes.getValue(), com.latencybusters.lbm.LBMContextAttributes.getValue(), com.latencybusters.lbm.LBMReceiverAttributes.getValue(), com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMReceiver.indexStartAssignment(), com.latencybusters.lbm.LBMWildcardReceiver.indexStartAssignment(), com.latencybusters.lbm.LBMReceiver.indexStopAssignment(), com.latencybusters.lbm.LBMWildcardReceiver.indexStopAssignment(), com.latencybusters.lbm.LBMContext.LBMContext(), com.latencybusters.lbm.LBMContextAttributes.LBMContextAttributes(), com.latencybusters.lbm.LBMEventQueue.LBMEventQueue(), com.latencybusters.lbm.LBMEventQueueAttributes.LBMEventQueueAttributes(), com.latencybusters.lbm.LBMHFX.LBMHFX(), com.latencybusters.lbm.LBMHFXAttributes.LBMHFXAttributes(), com.latencybusters.lbm.LBMHotFailoverReceiver.LBMHotFailoverReceiver(), com.latencybusters.lbm.LBMHotFailoverSource.LBMHotFailoverSource(), com.latencybusters.lbm.LBMMessage.LBMMessage(), com.latencybusters.lbm.LBMReceiver.LBMReceiver(), com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes(), com.latencybusters.lbm.LBMSource.LBMSource(), com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes(), com.latencybusters.lbm.LBMTimer.LBMTimer(), com.latencybusters.lbm.LBMTopic.LBMTopic(), com.latencybusters.lbm.LBMWildcardReceiver.LBMWildcardReceiver(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes(), com.latencybusters.lbm.LBMXSP.LBMXSP(), com.latencybusters.lbm.LBMXSPAttributes.LBMXSPAttributes(), com.latencybusters.lbm.UMEMessageAck.markNotOutstanding(), com.latencybusters.lbm.LBMContext.processEvents(), com.latencybusters.lbm.LBMMessage.reassign(), com.latencybusters.lbm.LBMContextStatistics.refresh(), com.latencybusters.lbm.LBMEventQueueStatistics.refresh(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.refresh(), com.latencybusters.lbm.LBMSourceStatistics.refresh(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.refresh(), com.latencybusters.lbm.LBMReceiverStatistics.refresh(), com.latencybusters.lbm.LBMContext.requestTopicResolution(), com.latencybusters.lbm.LBMTimer.reschedule(), com.latencybusters.lbm.LBMContext.resetImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMContext.resetImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMContext.resetReceiverStatistics(), com.latencybusters.lbm.LBMContext.resetSourceStatistics(), com.latencybusters.lbm.LBMEventQueue.resetStatistics(), com.latencybusters.lbm.LBMReceiver.resetStatistics(), com.latencybusters.lbm.LBMSource.resetStatistics(), com.latencybusters.lbm.LBMContext.resetStatistics(), com.latencybusters.lbm.LBMMessage.respond(), com.latencybusters.lbm.LBMHotFailoverSource.send(), com.latencybusters.lbm.LBMSource.send(), com.latencybusters.lbm.LBMContext.send(), com.latencybusters.lbm.LBMContext.sendc(), com.latencybusters.lbm.UMEMessageAck.sendExplicitAck(), com.latencybusters.lbm.LBMMessage.sendExplicitAck(), com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset(), com.latencybusters.lbm.LBMEventQueue.setAttributeValue(), com.latencybusters.lbm.LBMHFX.setAttributeValue(), com.latencybusters.lbm.LBMWildcardReceiver.setAttributeValue(), com.latencybusters.lbm.LBMReceiver.setAttributeValue(), com.latencybusters.lbm.LBMSource.setAttributeValue(), com.latencybusters.lbm.LBMContext.setAttributeValue(), com.latencybusters.lbm.LBMEventQueueAttributes.setFromXml(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.setFromXml(), com.latencybusters.lbm.LBMSourceAttributes.setFromXml(), com.latencybusters.lbm.LBMHFXAttributes.setFromXml(), com.latencybusters.lbm.LBMContextAttributes.setFromXml(), com.latencybusters.lbm.LBMReceiverAttributes.setFromXml(), com.latencybusters.lbm.LBMSource.setInflight(), com.latencybusters.lbm.LBMSourceAttributes.setMessageReclamationCallback(), com.latencybusters.lbm.LBMContextAttributes.setObjectRecycler(), com.latencybusters.lbm.LBMSource.setUMEMessageStable(), com.latencybusters.lbm.LBMContextAttributes.setUMEReceiverLivenessNotificationCallbacks(), com.latencybusters.lbm.LBMContext.setUMQInflight(), com.latencybusters.lbm.LBMContext.setUMQMessageStable(), com.latencybusters.lbm.LBMXSPAttributes.setValue(), com.latencybusters.lbm.LBMEventQueueAttributes.setValue(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.setValue(), com.latencybusters.lbm.LBMSourceAttributes.setValue(), com.latencybusters.lbm.LBMHFXAttributes.setValue(), com.latencybusters.lbm.LBMContextAttributes.setValue(), com.latencybusters.lbm.LBMReceiverAttributes.setValue(), com.latencybusters.lbm.LBMEventQueue.shutdown(), com.latencybusters.lbm.LBMEventQueue.size(), com.latencybusters.lbm.LBMReceiver.subscribeChannel(), com.latencybusters.lbm.LBMWildcardReceiver.subscribeChannel(), com.latencybusters.lbm.LBMSource.umederegister(), com.latencybusters.lbm.LBMReceiver.umederegister(), com.latencybusters.lbm.LBMXSP.unblockProcessEvents(), com.latencybusters.lbm.LBMContext.unblockProcessEvents(), com.latencybusters.lbm.LBMReceiver.unsubscribeChannel(), and com.latencybusters.lbm.LBMWildcardReceiver.unsubscribeChannel().

static void com.latencybusters.lbm.LBM.setConfiguration | ( | string | fileName | ) |
| static

Configure LBM attributes from a file, tftp or http URL.

Parameters

  fileName | String containing a file name or URL (tftp or http). File names with a ".xml" extension be processed by the setConfigurationXml API with a null applicationName.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static void com.latencybusters.lbm.LBM.setConfigurationXml | ( | string | fileName,
|  | string | applicationName
| ) |  |
| static

Configure LBM attributes from an xml file.

Parameters

  fileName | String containing the xml file name or URL (tftp or http)
  applicationName | String containing the application name

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static void com.latencybusters.lbm.LBM.setConfigurationXmlString | ( | string | xmlString,
|  | string | applicationName
| ) |  |
| static

Configure LBM attributes from a string.

Parameters

  xmlString | String containing LBM XML configuration data
  applicationName | String containing the application name

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static void com.latencybusters.lbm.LBM.setDebugFilename | ( | String | filename | ) |
| static

Specify the name of the debug log to be written.

Parameters

  filename | Name of the file to be written with debug data

static void com.latencybusters.lbm.LBM.setDebugLogCallback | ( | bool | enable | ) |
| static

Enable logging of debug messages to the application logging callback set by LBM.setLogger(). By default, if lbm debug logging is enabled it is sent to the filename specified by setDebugFilename(), or stderr. Calling setDebugLogCallback() with a value of true will redirect debug logging to the application logger set by setLogger(), or stderr if no logger is set.

Parameters

  enable | true enables, false disables.

static void com.latencybusters.lbm.LBM.setDebugMask | ( | ulong | mask | ) |
| static

Specify the debugging mask to be applied to debugging output. This is set based on recommendation of support staff.

Parameters

  mask | The debugging mask to be used when determining if an item should be logged

static void com.latencybusters.lbm.LBM.setLbtrmLossRate | ( | int | rate | ) |
| static

Specify the receiver-side loss rate for LBTRM transports.

Parameters

  rate | The percentage (0-100) of messages for which loss is desired.

static void com.latencybusters.lbm.LBM.setLbtrmSrcLossRate | ( | int | rate | ) |
| static

Specify the source-side loss rate for LBTRM transports.

Parameters

  rate | The percentage (0-100) of messages for which loss is desired.

static void com.latencybusters.lbm.LBM.setLbtruLossRate | ( | int | rate | ) |
| static

Specify the receiver-side loss rate for LBTRU transports.

Parameters

  rate | The percentage (0-100) of messages for which loss is desired.

static void com.latencybusters.lbm.LBM.setLbtruSrcLossRate | ( | int | rate | ) |
| static

Specify the source-side loss rate for LBTRU transports.

Parameters

  rate | The percentage (0-100) of messages for which loss is desired.

static void com.latencybusters.lbm.LBM.setLicenseFile | ( | String | licenseFile | ) |
| static

Initialize the LBM license from the contents of a disk file.

This method will only be effective if it is called before any other LBM API method.

Parameters

  licenseFile | String containing the name of a file that contains the LBM license. This string is the same as that which would otherwise be specified as the value of the LBM_LICENSE_FILENAME environmental variable.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static void com.latencybusters.lbm.LBM.setLicenseString | ( | String | licenseString | ) |
| static

Initialize the LBM license from a string.

This method will only be effective if it is called before any other LBM API method.

Parameters

  licenseString | String containing LBM license. This string is the same as that which would otherwise be specified as the value of the LBM_LICENSE_FILENAME environmental variable.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

void com.latencybusters.lbm.LBM.setLogger | ( | LBMLogging | logger | ) |

Inform LBM to use a specific logger for logging.

Parameters

  logger | Logging callback implementing the LBMLogging delegate interface

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

static void com.latencybusters.lbm.LBM.setUimLossRate | ( | int | rate | ) |
| static

Specify the receiver-side loss rate for UIMs.

Parameters

  rate | The percentage (0-100) of messages for which loss is desired.

unsafe static void com.latencybusters.lbm.LBM.setUmmInfo | ( | LBMUMMInfo | _info | ) |
| static

Connect to and retrieve configuration from a UMM daemon.

This method will only be effective if it is called before any other LBM API method.

Parameters

  _info | UMM daemon connection options

Exceptions

  com.latencybusters.lbm.LBMException | UMM info has already been initialized, or invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMUMMInfo.applicationName, com.latencybusters.lbm.LBMUMMInfo.certFile, com.latencybusters.lbm.LBMUMMInfo.certFilePassword, com.latencybusters.lbm.LBMUMMInfo.flags, com.latencybusters.lbm.LBMUMMInfo.password, com.latencybusters.lbm.LBMUMMInfo.servers, com.latencybusters.lbm.LBMUMMInfo.userName, and com.latencybusters.lbm.LBMUMMInfo.validate().

static string com.latencybusters.lbm.LBM.version | ( |  | ) |
| static

Get LBM version information.

Returns
  LBM version

## Member Data Documentation

const int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 0x1

Context Event: Indicates context registration is complete.

See also
  LBMContextEvent.registrationCompleteInfo()

Referenced by com.latencybusters.lbm.LBMContextEvent.LBMContextEvent().

const int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_ERROR = 0x3

Context Event: Indicates context registration failed with an error. The dataString() method will return a message describing the error.

See also
  LBMContextEvent.dataString()

Referenced by com.latencybusters.lbm.LBMContextEvent.LBMContextEvent().

const int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_SUCCESS_EX = 0x2

Context Event: Indicates context registration with a single queue instance was successful.

See also
  LBMContextEvent.registrationSuccessInfo()

Referenced by com.latencybusters.lbm.LBMContextEvent.LBMContextEvent().

const int com.latencybusters.lbm.LBM.LBM_TEXTMESSAGE = 0

Possible JMS Message Types.

int

const int com.latencybusters.lbm.LBM.MSG_UME_DEREGISTRATION_COMPLETE_EX = 13

UME receiver notification of deregistration completion.

Data holds sequence number and flags, etc.

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UME_DEREGISTRATION_SUCCESS_EX = 12

UME receiver deregistration successful for a store (extended form).

Data holds registration IDs, etc.

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_CHANGE = 9

UME receiver notification of source registration change.

Data holds info message.

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_COMPLETE_EX = 11

UME receiver notification of registration completion.

Data holds sequence number and flags, etc.

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_ERROR = 7

UME receiver registration encountered an error.

Data holds error message.

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS = 8

UME receiver registration successful.

See also
  LBMMessage.sourceRegistrationId()
  LBMMessage.receiverRegistrationId()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX = 10

UME receiver registration successful for a store (extended form).

Data holds registration IDs, etc.

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1

Registration was flagged as an old receiver by the store.

An old receiver is one the store had cached.

const int com.latencybusters.lbm.LBM.MSG_UMQ_DEREGISTRATION_COMPLETE_EX = 19

UMQ receiver notification of deregistration completion. Deregistration completion info can be retrieved through the queueDeregistrationCompleteInfo() method.

See also
  LBMMessage.queueDeregistrationCompleteInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_DEREGISTRATION_COMPLETE_EX_FLAG_ULB = 0x1

Flag indicating that deregistration completed to a ULB source.

See also
  LBM.MSG_UMQ_DEREGISTRATION_COMPLETE_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNED_EX = 24

UMQ receiver notification of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexAssignedInfo object) can be retrieved with the LBMMessage.indexAssignedInfo() method.

See also
  LBMMessage.queueIndexAssignedInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNED_FLAG_ULB = 0x1

Index assignment was from a ULB source.

See also
  LBM.MSG_UMQ_INDEX_ASSIGNED_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_ERROR = 21

LBM message type: UMQ receiver index assignment eligibility start/stop encountered an error.

Data holds error message.

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX = 22

UMQ receiver notification of beginning of index assignment eligibility. Index assignment eligibility start completion info (in the form of a UMQIndexAssignmentEligibilityStartCompleteInfo object) can be retrieved with the LBMMessage.indexAssignmentEligibilityStartCompleteInfo() method.

See also
  LBMMessage.queueIndexAssignmentEligibilityStartCompleteInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX_FLAG_ULB = 0x1

Index assignment eligibility start completed at a ULB source.

See also
  LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX = 23

UMQ receiver notification of end of index assignment eligibility. Index assignment eligibility stop completion info (in the form of a UMQIndexAssignmentEligibilityStopCompleteInfo object) can be retrieved with the LBMMessage.indexAssignmentEligibilityStopCompleteInfo() method.

See also
  LBMMessage.queueIndexAssignmentEligibilityStopCompleteInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX_FLAG_ULB = 0x1

Index assignment eligibility stop completed at a ULB source.

See also
  LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_RELEASED_EX = 25

UMQ receiver notification of end of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexReleasedInfo object) can be retrieved with the LBMMessage.indexReleasedInfo() method.

See also
  LBMMessage.queueIndexReleasedInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_RELEASED_FLAG_ULB = 0x1

Index released from a ULB source.

See also
  LBM.MSG_UMQ_INDEX_RELEASED_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX = 18

UMQ receiver notification of registration completion. Registration completion info can be retrieved through the queueRegistrationCompleteInfo() method.

See also
  LBMMessage.queueRegistrationCompleteInfo()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1

Flag indicating that registration completed with only quorum reached.

See also
  LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_ULB = 0x2

Flag indicating that registration completed to a ULB source.

See also
  LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX

const int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_ERROR = 16

UMQ receiver notification of registration error. The error message is contained in the message data.

See also
  LBMMessage.dataString()

Referenced by com.latencybusters.lbm.LBMMessage.LBMMessage().

const int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION = 29

Source Event: flight size notification. The flightSizeNotification() method will return an info object containing additional information.

See also
  LBMSourceEvent.flightSizeNotification()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_SEQUENCE_NUMBER_INFO = 15

Source event: Informs the application of the sequence numbers used with a message.

Event data holds sequence number data.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION = 8

Source event: (UME only) UME Confirmed Delivery of Message from receiver.

Event data holds ACK information which includes the registration ID, the message sequence number, and the client object argument passed into the LBMSource.send(byte[],int,int,object) method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX = 14

Source event: For UME only, means UME Confirmed Delivery of Message from receiver (extended form).

Event data holds sequence number data.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DEREGISTRATION_COMPLETE_EX = 32

Source event: (UME only) Deregistration of source complete.

Data (in the form of a UMESourceEventDeregistrationCompleteInfo object) can be retrieved with the LBMSourceEvent.deregistrationCompleteInfo() method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DEREGISTRATION_SUCCESS_EX = 31

Source event: (UME only) Deregistration of source successful (extended version).

Data (in the form of a UMESourceEventDeregistrationSuccessInfo object) can be retrieved with the LBMSourceEvent.deregistrationSuccessInfo() method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE = 33

Source event: For UMP only, means a message is NOT stable, and the source has given up waiting for stability.

Since
  UMP 6.0

Event data tells which store the message is not stable at and the reason the source gave up.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_LOSS = 0x40

Message not stable due to explicitly reported unrecoverable loss at the store or receiver.

Since
  UMP 6.0

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_STORE = 0x8

Message not stable information has store information.

Since
  UMP 6.0

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_TIMEOUT = 0x80

Message not stable due to stability lifetime timeout.

Since
  UMP 6.0

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_RECLAIMED = 10

Source event: (UME only) Indicates that a message has been reclaimed.

Event data holds the message sequence number and the client object argument passed into the LBMSource.send(byte[],int,int,object) method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_RECLAIMED_EX = 30

Source event: Indicates that a message has been reclaimed (extended form).

Event data holds ACK information: the message sequence number and the client object argument passed into the LBMSource.send(byte[],int,int,object) method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE = 7

Source event: (UME only) UME ACK from store indicates message is stable.

Event data holds ACK information which includes the registration ID, the message sequence number, and the client object argument passed into the LBMSource.send(byte[],int,int,object) method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX = 13

Source event: For UME only, means UME ACK from store indicates message is stable (extended form).

Event data holds ACK information.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2

Message stable for intergroup stability.

Since
  UME 2.0

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1

Message stable for intragroup stability.

Since
  UME 2.0

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_COMPLETE_EX = 12

Source event: (UME only) Registration of source complete.

Data (in the form of a UMESourceEventRegistrationCompleteInfo object) can be retrieved with the LBMSourceEvent.registrationCompleteInfo() method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_ERROR = 5

Source event: (UME only) Registration of source failed with an error.

Event data holds the error string.

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS = 6

Source event: (UME only) Registration of source successful.

Event data holds the registration the registration ID.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX = 11

Source event: (UME only) Registration of source successful (extended version).

Data (in the form of a UMESourceEventRegistrationSuccessInfo object) can be retrieved with the LBMSourceEvent.registrationSuccessInfo() method.

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1

Registration was flagged as an old source by the store.

An old source is one the store had cached.

const int com.latencybusters.lbm.LBM.SRC_EVENT_UME_STORE_UNRESPONSIVE = 9

Source event: (UME only) Store has not been active within timeout.

Event data holds an info string.

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_ID_INFO = 17

Source Event: For UMQ only, informs the application of the Message ID assigned with a message.. The messageIdInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent.messageIdInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX = 19

Source Event: For UMQ only, means a message is stable with a queue instance. The queueAckInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.queueAckInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 18

Source Event: For UMQ only, means registration of source complete. The queueRegistrationCompleteInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.queueRegistrationCompleteInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_REGISTRATION_ERROR = 16

Source Event: For UMQ only, means registration of source failed with an error. The error message is contained in the event dataString.

See also
  LBMSourceEvent.dataString()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_ASSIGNED_EX = 20

Source Event: For UMQ only, means a ULB message was assigned. The ulbMessageInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbMessageInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_COMPLETE_EX = 23

Source Event: For UMQ only, means a ULB message was consumed or discarded from all application sets. The ulbMessageInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbMessageInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_CONSUMED_EX = 24

Source Event: For UMQ only, means a ULB message was consumed. The ulbMessageInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbMessageInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX = 21

Source Event: For UMQ only, means a ULB message was reassigned. The ulbMessageInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbMessageInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX = 22

Source Event: For UMQ only, means a ULB message reached end-of-life and was discarded. The ulbMessageInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbMessageInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_DEREGISTRATION_EX = 26

Source Event: For UMQ only, means a ULB receiver deregistered. The ulbReceiverInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbReceiverInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_READY_EX = 27

Source Event: For UMQ only, means a ULB receiver signalled ready to receive. The ulbReceiverInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbReceiverInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_REGISTRATION_EX = 25

Source Event: For UMQ only, means a ULB receiver registered. The ulbReceiverInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbReceiverInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_TIMEOUT_EX = 28

Source Event: For UMQ only, means a ULB receiver reached end-of-life. The ulbReceiverInfo() method will return an info object containing additional information..

See also
  LBMSourceEvent.ulbReceiverInfo()

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP = 3

Source event: Following earlier LBMEWouldBlockException, this event means that the source is ready for more sends.

See also
  LBMEWouldBlockException

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_MIM = 0x2

Source wakeup event flag: Unblocked source is a context-level multicast immediate mode source.

LBMSourceEventWakeupInfo

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_NORMAL = 0x1

Source wakeup event flag: Unblocked source is a normal (or hot failover) source.

LBMSourceEventWakeupInfo

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_REQUEST = 0x8

Source wakeup event flag: Unblocked source is a context-level request source.

LBMSourceEventWakeupInfo

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_RESPONSE = 0x10

Source wakeup event flag: Unblocked source is a context-level response source.

LBMSourceEventWakeupInfo

const int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_UIM = 0x4

Source wakeup event flag: Unblocked source is a context-level unicast immediate mode source.

LBMSourceEventWakeupInfo

const int com.latencybusters.lbm.LBM.SRC_NONBLOCK = 0x8

If message could not be sent immediately, throw an LBMEWouldBlockException.

See also
  LBMEWouldBlockException

Referenced by com.latencybusters.lbm.LBMSource.send().

const int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_HF_OPTIONAL = 0x100

Send message marked as an optional message for Hot Failover.

See also
  LBMSource.send(byte[], int, int, LBMSourceSendExInfo)

const int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_PROPERTIES = 0x200

Send message with associated properties.

See also
  LBMSource.send(byte[], int, int, LBMSourceSendExInfo)

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties().

const int com.latencybusters.lbm.LBM.SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_QC = 0x1

Quorum and Consensus store behaviour.

Since
  UME 2.0

const int com.latencybusters.lbm.LBM.SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_RR = 0x0

Round Robin store behaviour.

Since
  UME 2.0

const int com.latencybusters.lbm.LBM.SRC_TOPIC_ATTR_UMQ_ULB_EVENT_MSG_COMPLETE = 0x10

ULB message complete source event.

Since
  UMQ 2.1.1

Referenced by com.latencybusters.lbm.LBMHotFailoverSource.LBMHotFailoverSource(), and com.latencybusters.lbm.LBMSource.LBMSource().

const int com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC = 0x1

UMQIndexInfo flag. Index is a 64-bit integer.

See also
  UMQIndexInfo.flags()

Referenced by com.latencybusters.lbm.UMQIndexInfo.index(), com.latencybusters.lbm.UMQIndexInfo.indexLength(), com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMMessage.LBMMessage(), com.latencybusters.lbm.UMQIndexInfo.numericIndex(), com.latencybusters.lbm.LBMMessage.queueIndexInfo(), com.latencybusters.lbm.LBMSource.send(), com.latencybusters.lbm.LBMContext.send(), com.latencybusters.lbm.UMQIndexInfo.setIndex(), and com.latencybusters.lbm.UMQIndexInfo.setNumericIndex().

The documentation for this class was generated from the following file:

- LBM.cs